# CONTRIBUTION GUIDELINES

- Fork the repo
- Open your terminal and clone it on your machine:  
  ```
  https://github.com/dark-coder-cat/Empty-Folder-Cleaner.git
  ```
- Add an upstream link to the main branch in your cloned repo: 
  ```
  git remote add upstream https://github.com/dark-coder-cat/Empty-Folder-Cleaner.git
  ```
- Keep your cloned repo up to date by pulling from upstream (to avoid any merge conflicts while committing new changes): 
  ```
  git pull upstream master
  ```
- Create your  own branch:  `git checkout -b <branch-name>`
- Commit all the changes (use descriptive commit messages): git commit -m "a descriptive commit message"
- Push your changes:  `git push origin <branch-name>`
- Make a PR on Github; use a descriptive PR title to specify the change(s) made.
- Any contribution is welcomed such as fixing grammatical errors, fixing broken links, adding resources, etc.
- Before contributing, here's our [CODE OF CONDUCT](CODE_OF_CONDUCT.md) which must be adhered to.
- Use the `[Title Case Name](link)` format.
- Use concise descriptions.
- Pull requests should have a useful title.
